Index: src/sas/sasgui/plottools/PlotPanel.py
===================================================================
--- src/sas/sasgui/plottools/PlotPanel.py	(revision a5b8253583189ae64cae0529b92e16221f283019)
+++ src/sas/sasgui/plottools/PlotPanel.py	(revision 9a5097cd1c76689d1f997b85ba43d12a95d8f243)
@@ -29,5 +29,5 @@
 DEFAULT_CMAP = pylab.cm.jet
 import copy
-import numpy
+import numpy as np
 
 from sas.sasgui.guiframe.events import StatusEvent
@@ -1452,16 +1452,16 @@
                 if  self.zmin_2D <= 0  and len(output[output > 0]) > 0:
                     zmin_temp = self.zmin_2D
-                    output[output > 0] = numpy.log10(output[output > 0])
+                    output[output > 0] = np.log10(output[output > 0])
                     #In log scale Negative values are not correct in general
-                    #output[output<=0] = math.log(numpy.min(output[output>0]))
+                    #output[output<=0] = math.log(np.min(output[output>0]))
                 elif self.zmin_2D <= 0:
                     zmin_temp = self.zmin_2D
-                    output[output > 0] = numpy.zeros(len(output))
+                    output[output > 0] = np.zeros(len(output))
                     output[output <= 0] = -32
                 else:
                     zmin_temp = self.zmin_2D
-                    output[output > 0] = numpy.log10(output[output > 0])
+                    output[output > 0] = np.log10(output[output > 0])
                     #In log scale Negative values are not correct in general
-                    #output[output<=0] = math.log(numpy.min(output[output>0]))
+                    #output[output<=0] = math.log(np.min(output[output>0]))
             except:
                 #Too many problems in 2D plot with scale
@@ -1492,5 +1492,5 @@
             X = self.x_bins[0:-1]
             Y = self.y_bins[0:-1]
-            X, Y = numpy.meshgrid(X, Y)
+            X, Y = np.meshgrid(X, Y)
 
             try:
@@ -1555,13 +1555,13 @@
         # 1d array to use for weighting the data point averaging
         #when they fall into a same bin.
-        weights_data = numpy.ones([self.data.size])
+        weights_data = np.ones([self.data.size])
         # get histogram of ones w/len(data); this will provide
         #the weights of data on each bins
-        weights, xedges, yedges = numpy.histogram2d(x=self.qy_data,
+        weights, xedges, yedges = np.histogram2d(x=self.qy_data,
                                                     y=self.qx_data,
                                                     bins=[self.y_bins, self.x_bins],
                                                     weights=weights_data)
         # get histogram of data, all points into a bin in a way of summing
-        image, xedges, yedges = numpy.histogram2d(x=self.qy_data,
+        image, xedges, yedges = np.histogram2d(x=self.qy_data,
                                                   y=self.qx_data,
                                                   bins=[self.y_bins, self.x_bins],
@@ -1581,5 +1581,5 @@
         # do while loop until all vacant bins are filled up up
         #to loop = max_loop
-        while not(numpy.isfinite(image[weights == 0])).all():
+        while not(np.isfinite(image[weights == 0])).all():
             if loop >= max_loop:  # this protects never-ending loop
                 break
@@ -1630,6 +1630,6 @@
 
         # store x and y bin centers in q space
-        x_bins = numpy.linspace(xmin, xmax, npix_x)
-        y_bins = numpy.linspace(ymin, ymax, npix_y)
+        x_bins = np.linspace(xmin, xmax, npix_x)
+        y_bins = np.linspace(ymin, ymax, npix_y)
 
         #set x_bins and y_bins
@@ -1650,6 +1650,6 @@
         """
         # No image matrix given
-        if image == None or numpy.ndim(image) != 2 \
-                or numpy.isfinite(image).all() \
+        if image == None or np.ndim(image) != 2 \
+                or np.isfinite(image).all() \
                 or weights == None:
             return image
@@ -1657,43 +1657,43 @@
         len_y = len(image)
         len_x = len(image[1])
-        temp_image = numpy.zeros([len_y, len_x])
-        weit = numpy.zeros([len_y, len_x])
+        temp_image = np.zeros([len_y, len_x])
+        weit = np.zeros([len_y, len_x])
         # do for-loop for all pixels
         for n_y in range(len(image)):
             for n_x in range(len(image[1])):
                 # find only null pixels
-                if weights[n_y][n_x] > 0 or numpy.isfinite(image[n_y][n_x]):
+                if weights[n_y][n_x] > 0 or np.isfinite(image[n_y][n_x]):
                     continue
                 else:
                     # find 4 nearest neighbors
                     # check where or not it is at the corner
-                    if n_y != 0 and numpy.isfinite(image[n_y - 1][n_x]):
+                    if n_y != 0 and np.isfinite(image[n_y - 1][n_x]):
                         temp_image[n_y][n_x] += image[n_y - 1][n_x]
                         weit[n_y][n_x] += 1
-                    if n_x != 0 and numpy.isfinite(image[n_y][n_x - 1]):
+                    if n_x != 0 and np.isfinite(image[n_y][n_x - 1]):
                         temp_image[n_y][n_x] += image[n_y][n_x - 1]
                         weit[n_y][n_x] += 1
-                    if n_y != len_y - 1 and numpy.isfinite(image[n_y + 1][n_x]):
+                    if n_y != len_y - 1 and np.isfinite(image[n_y + 1][n_x]):
                         temp_image[n_y][n_x] += image[n_y + 1][n_x]
                         weit[n_y][n_x] += 1
-                    if n_x != len_x - 1 and numpy.isfinite(image[n_y][n_x + 1]):
+                    if n_x != len_x - 1 and np.isfinite(image[n_y][n_x + 1]):
                         temp_image[n_y][n_x] += image[n_y][n_x + 1]
                         weit[n_y][n_x] += 1
                     # go 4 next nearest neighbors when no non-zero
                     # neighbor exists
-                    if n_y != 0 and n_x != 0 and\
-                         numpy.isfinite(image[n_y - 1][n_x - 1]):
+                    if n_y != 0 and n_x != 0 and \
+                            np.isfinite(image[n_y - 1][n_x - 1]):
                         temp_image[n_y][n_x] += image[n_y - 1][n_x - 1]
                         weit[n_y][n_x] += 1
                     if n_y != len_y - 1 and n_x != 0 and \
-                        numpy.isfinite(image[n_y + 1][n_x - 1]):
+                            np.isfinite(image[n_y + 1][n_x - 1]):
                         temp_image[n_y][n_x] += image[n_y + 1][n_x - 1]
                         weit[n_y][n_x] += 1
                     if n_y != len_y and n_x != len_x - 1 and \
-                        numpy.isfinite(image[n_y - 1][n_x + 1]):
+                            np.isfinite(image[n_y - 1][n_x + 1]):
                         temp_image[n_y][n_x] += image[n_y - 1][n_x + 1]
                         weit[n_y][n_x] += 1
                     if n_y != len_y - 1 and n_x != len_x - 1 and \
-                        numpy.isfinite(image[n_y + 1][n_x + 1]):
+                            np.isfinite(image[n_y + 1][n_x + 1]):
                         temp_image[n_y][n_x] += image[n_y + 1][n_x + 1]
                         weit[n_y][n_x] += 1
Index: src/sas/sasgui/plottools/fitDialog.py
===================================================================
--- src/sas/sasgui/plottools/fitDialog.py	(revision dd5bf63093de43c42cbb5ac17751c02bdd615eae)
+++ src/sas/sasgui/plottools/fitDialog.py	(revision 9a5097cd1c76689d1f997b85ba43d12a95d8f243)
@@ -2,5 +2,5 @@
 from plottables import Theory1D
 import math
-import numpy
+import numpy as np
 import fittings
 import transform
@@ -482,5 +482,5 @@
 
                 if self.xLabel.lower() == "log10(x)":
-                    tempdy = numpy.asarray(tempdy)
+                    tempdy = np.asarray(tempdy)
                     tempdy[tempdy == 0] = 1
                     chisqr, out, cov = fittings.sasfit(self.model,
@@ -491,5 +491,5 @@
                                                        math.log10(xmax))
                 else:
-                    tempdy = numpy.asarray(tempdy)
+                    tempdy = np.asarray(tempdy)
                     tempdy[tempdy == 0] = 1
                     chisqr, out, cov = fittings.sasfit(self.model,
@@ -572,9 +572,9 @@
         if self.rg_on:
             if self.Rg_tctr.IsShown():
-                rg = numpy.sqrt(-3 * float(cstA))
+                rg = np.sqrt(-3 * float(cstA))
                 value = format_number(rg)
                 self.Rg_tctr.SetValue(value)
                 if self.I0_tctr.IsShown():
-                    val = numpy.exp(cstB)
+                    val = np.exp(cstB)
                     self.I0_tctr.SetValue(format_number(val))
             if self.Rgerr_tctr.IsShown():
@@ -585,9 +585,9 @@
                 self.Rgerr_tctr.SetValue(value)
                 if self.I0err_tctr.IsShown():
-                    val = numpy.abs(numpy.exp(cstB) * errB)
+                    val = np.abs(np.exp(cstB) * errB)
                     self.I0err_tctr.SetValue(format_number(val))
             if self.Diameter_tctr.IsShown():
-                rg = numpy.sqrt(-2 * float(cstA))
-                _diam = 4 * numpy.sqrt(-float(cstA))
+                rg = np.sqrt(-2 * float(cstA))
+                _diam = 4 * np.sqrt(-float(cstA))
                 value = format_number(_diam)
                 self.Diameter_tctr.SetValue(value)
Index: src/sas/sasgui/plottools/plottables.py
===================================================================
--- src/sas/sasgui/plottools/plottables.py	(revision a9f579c8400c480f42c42445e1ff4dab09a6baa4)
+++ src/sas/sasgui/plottools/plottables.py	(revision 9a5097cd1c76689d1f997b85ba43d12a95d8f243)
@@ -43,5 +43,5 @@
 # Support for ancient python versions
 import copy
-import numpy
+import numpy as np
 import sys
 import logging
@@ -706,7 +706,7 @@
                 self.dy = None
             if not has_err_x:
-                dx = numpy.zeros(len(x))
+                dx = np.zeros(len(x))
             if not has_err_y:
-                dy = numpy.zeros(len(y))
+                dy = np.zeros(len(y))
             for i in range(len(x)):
                 try:
@@ -796,7 +796,7 @@
         tempdy = []
         if self.dx == None:
-            self.dx = numpy.zeros(len(self.x))
+            self.dx = np.zeros(len(self.x))
         if self.dy == None:
-            self.dy = numpy.zeros(len(self.y))
+            self.dy = np.zeros(len(self.y))
         if self.xLabel == "log10(x)":
             for i in range(len(self.x)):
@@ -826,7 +826,7 @@
         tempdy = []
         if self.dx == None:
-            self.dx = numpy.zeros(len(self.x))
+            self.dx = np.zeros(len(self.x))
         if self.dy == None:
-            self.dy = numpy.zeros(len(self.y))
+            self.dy = np.zeros(len(self.y))
         if self.yLabel == "log10(y)":
             for i in range(len(self.x)):
@@ -859,7 +859,7 @@
         tempdy = []
         if self.dx == None:
-            self.dx = numpy.zeros(len(self.x))
+            self.dx = np.zeros(len(self.x))
         if self.dy == None:
-            self.dy = numpy.zeros(len(self.y))
+            self.dy = np.zeros(len(self.y))
         if xmin != None and xmax != None:
             for i in range(len(self.x)):
@@ -1228,15 +1228,15 @@
 
 def sample_graph():
-    import numpy as nx
+    import numpy as np
 
     # Construct a simple graph
     if False:
-        x = nx.array([1, 2, 3, 4, 5, 6], 'd')
-        y = nx.array([4, 5, 6, 5, 4, 5], 'd')
-        dy = nx.array([0.2, 0.3, 0.1, 0.2, 0.9, 0.3])
+        x = np.array([1, 2, 3, 4, 5, 6], 'd')
+        y = np.array([4, 5, 6, 5, 4, 5], 'd')
+        dy = np.array([0.2, 0.3, 0.1, 0.2, 0.9, 0.3])
     else:
-        x = nx.linspace(0, 1., 10000)
-        y = nx.sin(2 * nx.pi * x * 2.8)
-        dy = nx.sqrt(100 * nx.abs(y)) / 100
+        x = np.linspace(0, 1., 10000)
+        y = np.sin(2 * np.pi * x * 2.8)
+        dy = np.sqrt(100 * np.abs(y)) / 100
     data = Data1D(x, y, dy=dy)
     data.xaxis('distance', 'm')
Index: test/corfunc/test/utest_corfunc.py
===================================================================
--- test/corfunc/test/utest_corfunc.py	(revision acefa2b7b00d8d908758f184828fbf18d106e742)
+++ test/corfunc/test/utest_corfunc.py	(revision 253eb6c67e1e6610e872a17727530be787222114)
@@ -8,5 +8,5 @@
 from sas.sascalc.corfunc.corfunc_calculator import CorfuncCalculator
 from sas.sascalc.dataloader.data_info import Data1D
-import matplotlib.pyplot as plt
+
 
 class TestCalculator(unittest.TestCase):
@@ -69,5 +69,4 @@
         self.assertLess(abs(params['max']-75), 2.5) # L_p ~= 75
 
-
     # Ensure tests are ran in correct order;
     # Each test depends on the one before it
Index: test/pr_inversion/test/utest_invertor.py
===================================================================
--- test/pr_inversion/test/utest_invertor.py	(revision b699768550de9d4b35b087234ec1d2a461922bab)
+++ test/pr_inversion/test/utest_invertor.py	(revision 9a5097cd1c76689d1f997b85ba43d12a95d8f243)
@@ -568,9 +568,11 @@
     
 def load(path = "sphere_60_q0_2.txt"):
-    import numpy, math, sys
+    import numpy as np
+    import math
+    import sys
     # Read the data from the data file
-    data_x   = numpy.zeros(0)
-    data_y   = numpy.zeros(0)
-    data_err = numpy.zeros(0)
+    data_x   = np.zeros(0)
+    data_y   = np.zeros(0)
+    data_err = np.zeros(0)
     scale    = None
     if not path == None:
@@ -589,7 +591,7 @@
                         scale = 0.15*math.sqrt(y)
                     err = scale*math.sqrt(y)
-                data_x = numpy.append(data_x, x)
-                data_y = numpy.append(data_y, y)
-                data_err = numpy.append(data_err, err)
+                data_x = np.append(data_x, x)
+                data_y = np.append(data_y, y)
+                data_err = np.append(data_err, err)
             except:
                 pass
Index: test/sascalculator/test/utest_sas_gen.py
===================================================================
--- test/sascalculator/test/utest_sas_gen.py	(revision ef908db37c9eb600c4448e9e4633b500a40c6361)
+++ test/sascalculator/test/utest_sas_gen.py	(revision 9a5097cd1c76689d1f997b85ba43d12a95d8f243)
@@ -8,7 +8,4 @@
 from sas.sascalc.calculator import sas_gen
 
-import numpy
- 
-import os.path
 
 class sas_gen_test(unittest.TestCase):
@@ -51,5 +48,6 @@
         self.assertEqual(output.pos_z[0], 0.0)
 
+
 if __name__ == '__main__':
     unittest.main()
-   
+
Index: test/sasdataloader/plugins/test_reader.py
===================================================================
--- test/sasdataloader/plugins/test_reader.py	(revision b699768550de9d4b35b087234ec1d2a461922bab)
+++ test/sasdataloader/plugins/test_reader.py	(revision 9a5097cd1c76689d1f997b85ba43d12a95d8f243)
@@ -8,5 +8,6 @@
 copyright 2008, University of Tennessee
 """
-import numpy, os
+import os
+import numpy as np
 from sas.sascalc.dataloader.data_info import Data1D
 
@@ -40,12 +41,12 @@
                 buff = input_f.read()
                 lines = buff.split('\n')
-                x  = numpy.zeros(0)
-                y  = numpy.zeros(0)
-                dy = numpy.zeros(0)
+                x  = np.zeros(0)
+                y  = np.zeros(0)
+                dy = np.zeros(0)
                 output = Data1D(x, y, dy=dy)
                 self.filename = output.filename = basename
            
                 for line in lines:
-                    x  = numpy.append(x,  float(line)) 
+                    x  = np.append(x,  float(line))
                     
                 output.x = x
Index: test/sasdataloader/test/utest_abs_reader.py
===================================================================
--- test/sasdataloader/test/utest_abs_reader.py	(revision 5f26aa48a5e34765d73c20fa10024d5319567854)
+++ test/sasdataloader/test/utest_abs_reader.py	(revision dd11014add466ed4ba0564fcf61e5880d53e6c8b)
@@ -4,6 +4,8 @@
 
 import unittest
-import numpy, math
-from sas.sascalc.dataloader.loader import  Loader
+import math
+import numpy as np
+from sas.sascalc.dataloader.loader import Loader
+from sas.sascalc.dataloader.readers.IgorReader import Reader as IgorReader
 from sas.sascalc.dataloader.data_info import Data1D
  
@@ -86,6 +88,9 @@
     
     def setUp(self):
-        self.data = Loader().load("MAR07232_rest.ASC")
-        
+        # the IgorReader should be able to read this filetype
+        # if it can't, stop here.
+        reader = IgorReader()
+        self.data = reader.read("MAR07232_rest.ASC")
+
     def test_igor_checkdata(self):
         """
@@ -108,14 +113,25 @@
         
         self.assertEqual(self.data.detector[0].beam_center_unit, 'mm')
-        center_x = (68.76-1)*5.0
-        center_y = (62.47-1)*5.0
+        center_x = (68.76 - 1)*5.0
+        center_y = (62.47 - 1)*5.0
         self.assertEqual(self.data.detector[0].beam_center.x, center_x)
         self.assertEqual(self.data.detector[0].beam_center.y, center_y)
         
         self.assertEqual(self.data.I_unit, '1/cm')
-        self.assertEqual(self.data.data[0], 0.279783)
-        self.assertEqual(self.data.data[1], 0.28951)
-        self.assertEqual(self.data.data[2], 0.167634)
-        
+        # 3 points should be suffcient to check that the data is in column
+        # major order.
+        np.testing.assert_almost_equal(self.data.data[0:3],
+                                       [0.279783, 0.28951, 0.167634])
+        np.testing.assert_almost_equal(self.data.qx_data[0:3],
+                                       [-0.01849072, -0.01821785, -0.01794498])
+        np.testing.assert_almost_equal(self.data.qy_data[0:3],
+                                       [-0.01677435, -0.01677435, -0.01677435])
+
+    def test_generic_loader(self):
+        # the generic loader should direct the file to IgorReader as well
+        data = Loader().load("MAR07232_rest.ASC")
+        self.assertEqual(data.meta_data['loader'], "IGOR 2D")
+
+
 class danse_reader(unittest.TestCase):
     
@@ -313,7 +329,7 @@
         from sas.sascalc.dataloader.readers.cansas_reader import Reader
         r = Reader()
-        x = numpy.ones(5)
-        y = numpy.ones(5)
-        dy = numpy.ones(5)
+        x = np.ones(5)
+        y = np.ones(5)
+        dy = np.ones(5)
         
         filename = "write_test.xml"
Index: test/sasdataloader/test/utest_averaging.py
===================================================================
--- test/sasdataloader/test/utest_averaging.py	(revision b699768550de9d4b35b087234ec1d2a461922bab)
+++ test/sasdataloader/test/utest_averaging.py	(revision 9a5097cd1c76689d1f997b85ba43d12a95d8f243)
@@ -1,10 +1,10 @@
 
 import unittest
+import math
 
 from sas.sascalc.dataloader.loader import  Loader
 from sas.sascalc.dataloader.manipulations import Ring, CircularAverage, SectorPhi, get_q,reader2D_converter
- 
-import os.path
-import numpy, math
+
+import numpy as np
 import sas.sascalc.dataloader.data_info as data_info
 
@@ -18,6 +18,6 @@
             should return the predefined height of the distribution (1.0).
         """
-        x_0  = numpy.ones([100,100])
-        dx_0 = numpy.ones([100,100])
+        x_0  = np.ones([100,100])
+        dx_0 = np.ones([100,100])
         
         self.data = data_info.Data2D(data=x_0, err_data=dx_0)
@@ -42,9 +42,9 @@
         
         self.qstep = len(x_0)
-        x=  numpy.linspace(start= -1*self.qmax,
+        x=  np.linspace(start= -1*self.qmax,
                                stop= self.qmax,
                                num= self.qstep,
                                endpoint=True )  
-        y = numpy.linspace(start= -1*self.qmax,
+        y = np.linspace(start= -1*self.qmax,
                                stop= self.qmax,
                                num= self.qstep,
Index: test/sasdataloader/test/utest_cansas.py
===================================================================
--- test/sasdataloader/test/utest_cansas.py	(revision 1686a333c537addee2a00ed89b00c694826a8f17)
+++ test/sasdataloader/test/utest_cansas.py	(revision 9a5097cd1c76689d1f997b85ba43d12a95d8f243)
@@ -15,5 +15,5 @@
 import pylint as pylint
 import unittest
-import numpy
+import numpy as np
 import logging
 import warnings
Index: test/sasguiframe/test/utest_manipulations.py
===================================================================
--- test/sasguiframe/test/utest_manipulations.py	(revision d85c194ea2f78cb2b9b3de9c969e1b8ebea6b6d2)
+++ test/sasguiframe/test/utest_manipulations.py	(revision 9a5097cd1c76689d1f997b85ba43d12a95d8f243)
@@ -5,5 +5,6 @@
 
 import unittest
-import numpy, math
+import math
+import numpy as np
 from sas.sascalc.dataloader.loader import  Loader
 from sas.sasgui.guiframe.dataFitting import Data1D, Data2D
@@ -52,15 +53,15 @@
     def setUp(self):
         # Create two data sets to play with
-        x_0 = numpy.ones(5)
+        x_0 = np.ones(5)
         for i in range(5):
             x_0[i] = x_0[i]*(i+1.0)
             
-        y_0 = 2.0*numpy.ones(5)
-        dy_0 = 0.5*numpy.ones(5)
+        y_0 = 2.0*np.ones(5)
+        dy_0 = 0.5*np.ones(5)
         self.data = Data1D(x_0, y_0, dy=dy_0)
         
         x = self.data.x
-        y = numpy.ones(5)
-        dy = numpy.ones(5)
+        y = np.ones(5)
+        dy = np.ones(5)
         self.data2 = Data1D(x, y, dy=dy)
         
@@ -155,22 +156,22 @@
     def setUp(self):
         # Create two data sets to play with
-        x_0 = 2.0*numpy.ones(25)
-        dx_0 = 0.5*numpy.ones(25)
-        qx_0 = numpy.arange(25)
-        qy_0 = numpy.arange(25)
-        mask_0 = numpy.zeros(25)
-        dqx_0 = numpy.arange(25)/100
-        dqy_0 = numpy.arange(25)/100
-        q_0 = numpy.sqrt(qx_0 * qx_0 + qy_0 * qy_0)
+        x_0 = 2.0*np.ones(25)
+        dx_0 = 0.5*np.ones(25)
+        qx_0 = np.arange(25)
+        qy_0 = np.arange(25)
+        mask_0 = np.zeros(25)
+        dqx_0 = np.arange(25)/100
+        dqy_0 = np.arange(25)/100
+        q_0 = np.sqrt(qx_0 * qx_0 + qy_0 * qy_0)
         self.data = Data2D(image=x_0, err_image=dx_0, qx_data=qx_0, 
                            qy_data=qy_0, q_data=q_0, mask=mask_0, 
                            dqx_data=dqx_0, dqy_data=dqy_0)
         
-        y = numpy.ones(25)
-        dy = numpy.ones(25)
-        qx = numpy.arange(25)
-        qy = numpy.arange(25)
-        mask = numpy.zeros(25)
-        q = numpy.sqrt(qx * qx + qy * qy)
+        y = np.ones(25)
+        dy = np.ones(25)
+        qx = np.arange(25)
+        qy = np.arange(25)
+        mask = np.zeros(25)
+        q = np.sqrt(qx * qx + qy * qy)
         self.data2 = Data2D(image=y, err_image=dy, qx_data=qx, qy_data=qy, 
                             q_data=q, mask=mask)
@@ -182,5 +183,5 @@
         """
         # There should be 5 entries in the file
-        self.assertEqual(numpy.size(self.data.data), 25)
+        self.assertEqual(np.size(self.data.data), 25)
         
         for i in range(25):
@@ -263,22 +264,22 @@
     def setUp(self):
         # Create two data sets to play with
-        x_0 = 2.0*numpy.ones(25)
-        dx_0 = 0.5*numpy.ones(25)
-        qx_0 = numpy.arange(25)
-        qy_0 = numpy.arange(25)
-        mask_0 = numpy.zeros(25)
-        dqx_0 = numpy.arange(25)/100
-        dqy_0 = numpy.arange(25)/100
-        q_0 = numpy.sqrt(qx_0 * qx_0 + qy_0 * qy_0)
+        x_0 = 2.0*np.ones(25)
+        dx_0 = 0.5*np.ones(25)
+        qx_0 = np.arange(25)
+        qy_0 = np.arange(25)
+        mask_0 = np.zeros(25)
+        dqx_0 = np.arange(25)/100
+        dqy_0 = np.arange(25)/100
+        q_0 = np.sqrt(qx_0 * qx_0 + qy_0 * qy_0)
         self.data = Data2D(image=x_0, err_image=dx_0, qx_data=qx_0, 
                            qy_data=qy_0, q_data=q_0, mask=mask_0, 
                            dqx_data=dqx_0, dqy_data=dqy_0)
         
-        y = numpy.ones(25)
-        dy = numpy.ones(25)
-        qx = numpy.arange(25)
-        qy = numpy.arange(25)
-        mask = numpy.zeros(25)
-        q = numpy.sqrt(qx * qx + qy * qy)
+        y = np.ones(25)
+        dy = np.ones(25)
+        qx = np.arange(25)
+        qy = np.arange(25)
+        mask = np.zeros(25)
+        q = np.sqrt(qx * qx + qy * qy)
         self.data2 = Data2D(image=y, err_image=dy, qx_data=qx, qy_data=qy, 
                             q_data=q, mask=mask)
@@ -290,5 +291,5 @@
         """
         # There should be 5 entries in the file
-        self.assertEqual(numpy.size(self.data.data), 25)
+        self.assertEqual(np.size(self.data.data), 25)
         
         for i in range(25):
Index: test/sasinvariant/test/utest_data_handling.py
===================================================================
--- test/sasinvariant/test/utest_data_handling.py	(revision b699768550de9d4b35b087234ec1d2a461922bab)
+++ test/sasinvariant/test/utest_data_handling.py	(revision 9a5097cd1c76689d1f997b85ba43d12a95d8f243)
@@ -9,5 +9,6 @@
 """
 import unittest
-import numpy, math
+import math
+import numpy as np
 from sas.sascalc.dataloader.loader import  Loader
 from sas.sascalc.dataloader.data_info import Data1D
@@ -20,6 +21,6 @@
     """
     def setUp(self):
-        x = numpy.asarray([1.,2.,3.,4.,5.,6.,7.,8.,9.])
-        y = numpy.asarray([1.,2.,3.,4.,5.,6.,7.,8.,9.])
+        x = np.asarray([1.,2.,3.,4.,5.,6.,7.,8.,9.])
+        y = np.asarray([1.,2.,3.,4.,5.,6.,7.,8.,9.])
         dy = y/10.0
         
@@ -135,6 +136,6 @@
         
     def test_error_treatment(self):
-        x = numpy.asarray(numpy.asarray([0,1,2,3]))
-        y = numpy.asarray(numpy.asarray([1,1,1,1]))
+        x = np.asarray(np.asarray([0,1,2,3]))
+        y = np.asarray(np.asarray([1,1,1,1]))
         
         # These are all the values of the dy array that would cause
@@ -340,6 +341,6 @@
         self.scale = 1.5
         self.rg = 30.0
-        x = numpy.arange(0.0001, 0.1, 0.0001)
-        y = numpy.asarray([self.scale * math.exp( -(q*self.rg)**2 / 3.0 ) for q in x])
+        x = np.arange(0.0001, 0.1, 0.0001)
+        y = np.asarray([self.scale * math.exp( -(q*self.rg)**2 / 3.0 ) for q in x])
         dy = y*.1
         self.data = Data1D(x=x, y=y, dy=dy)
@@ -383,6 +384,6 @@
         self.scale = 1.5
         self.m = 3.0
-        x = numpy.arange(0.0001, 0.1, 0.0001)
-        y = numpy.asarray([self.scale * math.pow(q ,-1.0*self.m) for q in x])                
+        x = np.arange(0.0001, 0.1, 0.0001)
+        y = np.asarray([self.scale * math.pow(q ,-1.0*self.m) for q in x])
         dy = y*.1
         self.data = Data1D(x=x, y=y, dy=dy)
@@ -427,6 +428,6 @@
             that can't be transformed
         """
-        x = numpy.asarray(numpy.asarray([0,1,2,3]))
-        y = numpy.asarray(numpy.asarray([1,1,1,1]))
+        x = np.asarray(np.asarray([0,1,2,3]))
+        y = np.asarray(np.asarray([1,1,1,1]))
         g = invariant.Guinier()
         data_in = Data1D(x=x, y=y)
@@ -438,7 +439,7 @@
         
     def test_allowed_bins(self):
-        x = numpy.asarray(numpy.asarray([0,1,2,3]))
-        y = numpy.asarray(numpy.asarray([1,1,1,1]))
-        dy = numpy.asarray(numpy.asarray([1,1,1,1]))
+        x = np.asarray(np.asarray([0,1,2,3]))
+        y = np.asarray(np.asarray([1,1,1,1]))
+        dy = np.asarray(np.asarray([1,1,1,1]))
         g = invariant.Guinier()
         data = Data1D(x=x, y=y, dy=dy)
@@ -465,6 +466,6 @@
         self.scale = 1.5
         self.rg = 30.0
-        x = numpy.arange(0.0001, 0.1, 0.0001)
-        y = numpy.asarray([self.scale * math.exp( -(q*self.rg)**2 / 3.0 ) for q in x])
+        x = np.arange(0.0001, 0.1, 0.0001)
+        y = np.asarray([self.scale * math.exp( -(q*self.rg)**2 / 3.0 ) for q in x])
         dy = y*.1
         self.data = Data1D(x=x, y=y, dy=dy)
@@ -513,6 +514,6 @@
         self.scale = 1.5
         self.rg = 30.0
-        x = numpy.arange(0.0001, 0.1, 0.0001)
-        y = numpy.asarray([self.scale * math.exp( -(q*self.rg)**2 / 3.0 ) for q in x])
+        x = np.arange(0.0001, 0.1, 0.0001)
+        y = np.asarray([self.scale * math.exp( -(q*self.rg)**2 / 3.0 ) for q in x])
         dy = y*.1
         self.data = Data1D(x=x, y=y, dy=dy)
@@ -600,6 +601,6 @@
         self.scale = 1.5
         self.m = 3.0
-        x = numpy.arange(0.0001, 0.1, 0.0001)
-        y = numpy.asarray([self.scale * math.pow(q ,-1.0*self.m) for q in x])                
+        x = np.arange(0.0001, 0.1, 0.0001)
+        y = np.asarray([self.scale * math.pow(q ,-1.0*self.m) for q in x])
         dy = y*.1
         self.data = Data1D(x=x, y=y, dy=dy)
Index: test/sasinvariant/test/utest_use_cases.py
===================================================================
--- test/sasinvariant/test/utest_use_cases.py	(revision b699768550de9d4b35b087234ec1d2a461922bab)
+++ test/sasinvariant/test/utest_use_cases.py	(revision 9a5097cd1c76689d1f997b85ba43d12a95d8f243)
@@ -5,5 +5,4 @@
 #TODO: there's no test for smeared extrapolation
 import unittest
-import numpy
 from sas.sascalc.dataloader.loader import  Loader
 
